summaryrefslogtreecommitdiffstats
path: root/jjb/csit/include-raw-csit-vpp-perf-verify.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/csit/include-raw-csit-vpp-perf-verify.sh')
-rw-r--r--jjb/csit/include-raw-csit-vpp-perf-verify.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/jjb/csit/include-raw-csit-vpp-perf-verify.sh b/jjb/csit/include-raw-csit-vpp-perf-verify.sh
new file mode 100644
index 000000000..8c55e1fc2
--- /dev/null
+++ b/jjb/csit/include-raw-csit-vpp-perf-verify.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+TRIGGER=`echo ${GERRIT_EVENT_COMMENT_TEXT} \
+ | grep -oE 'verify-perf-(l2|ip4|ip6|lisp|vxlan|vhost)' \
+ | awk '{print toupper($0)}'`
+export TEST_TAG=${TRIGGER}
+
+# execute csit bootstrap script if it exists
+if [ ! -e bootstrap-verify-perf.sh ]
+then
+ echo 'ERROR: No bootstrap-verify-perf.sh found'
+ exit 1
+fi
+
+# make sure that bootstrap-verify-perf.sh is executable
+chmod +x bootstrap-verify-perf.sh
+# run the script
+./bootstrap-verify-perf.sh
+
+# vim: ts=4 ts=4 sts=4 et :